echo off
cls
echo -
echo BIOSSIG 3.2L consists of the .EXE Version 3.2 and the .DBA with 390+ BIOSs.
echo -
echo If you are running this release from a 360kb floppy disk, you will find that
echo the database has grown to the point that there is not room for a 65kb BIOS to
echo be saved.  One way to resolve the problem is to use the DOS "PRINT" command
echo to print off the Documentation file and then delete the "BIOSSIG.DOC" file from
echo the disk.  Another method is to delete the "PROLOG.ERR" file.  It contains the
echo text for error messages and if you don't have any...you won't need the text...
echo will you.
echo -
echo Control-C will break out of this batch file and allow you to print the
echo .doc file...any other key will continue with the batch file and run the
echo BIOSSIG program.
echo -
pause
cls
echo -
echo First you will execute BIOSSIG.EXE which attempts to match your BIOS ROM
echo against a database containing information on 390+ BIOS's.
echo -
echo If we have Your BIOS ROM already in our database, when you select a Quick Scan
echo Menu Selection, all of your BIOS's Signature Fields will be displayed.
echo -
echo If you do not get a 100 percent match ( with a CRC match ), then consider
echo capturing information from your BIOS and sending it to us so we can add
echo your BIOS's signature information to the database.  This batch file will
echo tell you where to send the file when you exit the program.
echo -
echo If you have a monochrome adapter, the program may clear the screen and then
echo appear to hang.  You can Press Control C, answer Y and then type: "runme mono".
echo -
echo If you have a Color Graphics Adapter that "snows" then type: "runme snow" or
echo use the Optional Customization Menu within BIOSSIG.
echo -
echo If you can't run BIOSSIG successfully, all the more reason to run rom_capt,
echo rename the file "all_64k.rom" to something that describes your BIOS, and
echo send it to us at the address or BBS listed later in this runme.bat file.
echo -
pause
cls
biossig %1 %2
cls
echo -
echo You can either mail a disk with the BIOS Signature file(s) to:
echo -
echo                 Mike Focke
echo                 3599 Twilight Ct
echo                 Oakton, Va 22124
echo -
echo Or you may upload the file(s) to us on Jeff Morley's Interconnect BBS at
echo 703-425-2505.      Use Door 1 to register online for full access the first
echo time on!  ZIP or not as you please.  Since I use MNP, the .ROM files
echo actually transfer to me just as fast as the .ZIP files.  Please make it a
echo private upload/download by preceding the file description with a "/" and
echo leave Mike Focke a PRIVATE message with the filename. For example:
echo "/ for focke...bios from VF computers XT clone".
echo -
echo An alternate BBS is the Byrd's Nest 703-671-8923
echo -
echo As not everyone who sends a BIOS has described what they see when their
echo machine boots, there may be subtle errors in the identification
echo (typically characters that are in the BIOS memory but that are not displayed).
echo -
echo Chris Stevens has submitted a BIOS that is in the database in terms of
echo its six part signature, but is slightly different in it's code from one
echo previously  received.  Therefore BIOSSIG 3.2 implements Cyclic Redundancy
echo Check (CRC) validation to differentiate between such BIOSs.
echo -
pause
cls
echo -
echo If we have received a BIOS from you .... thanks.
echo -
echo If we have received one and have failed to give appropriate credit...
echo shame on us...please leave me a note on the Interconnect.
echo -
echo We would especially appreciate some help in finding the original IBM
echo PC, XT, Convertable, AT and PS-2 Model 80 20mhz BIOSs. We need the new
echo PS/2 model 30/286 too. And the Portable PS/2 Model 70
echo -
echo If you run a 386 machine which shadows the BIOS for additional speed,
echo either turn off the shaddowing or run RAM-CAPT. You can tell which one
echo because the wrong one will produce a file with all square boxes for the
echo entire file. Lots of BIOSs produce square boxes in the begining but a
echo shadowed BIOS file will be all boxes unless you use RAM-CAPT or turn
echo off the shadowing and run ROM-CAPT.

echo BIOSSIG updates will appear regularly on Jeff Morley's Interconnect BBS
echo 703-425-2505 24 hours PCBoard.
echo -
echo Thanks again for your help from Ricki Vick and Mike Focke.
echo -
echo You may also want to try BIOSTREE.EXE which is a display of the BIOS
echo family tree.  It allows you to trace the history of your BIOS and
echo see where it came from and if we know of any later versions.
echo -

